source: configure @ 27b407f

Last change on this file since 27b407f was 04f0c10, checked in by Wilmer van der Gaast <wilmer@…>, at 2010-10-03T02:50:20Z

At least for now, only enable OTR if the user specifically asks for it.
Distros can now ship a bitlbee-plugin-otr package (that should work with
both bitlbee and bitlbee-libpurple).

  • Property mode set to 100755
File size: 17.5 KB
Line 
1#!/bin/sh
2
3##############################
4##  Configurer for BitlBee  ##
5##                          ##
6##  Copyright 2004 Lintux   ##
7##  Copyright 2002 Lucumo   ##
8##############################
9
10prefix='/usr/local/'
11bindir='$prefix/sbin/'
12etcdir='$prefix/etc/bitlbee/'
13mandir='$prefix/share/man/'
14datadir='$prefix/share/bitlbee/'
15config='/var/lib/bitlbee/'
16plugindir='$prefix/lib/bitlbee/'
17includedir='$prefix/include/bitlbee/'
18libevent='/usr/'
19pidfile='/var/run/bitlbee.pid'
20ipcsocket='/var/run/bitlbee.sock'
21pcdir='$prefix/lib/pkgconfig'
22systemlibdirs="/lib /lib64 /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64"
23
24msn=1
25jabber=1
26oscar=1
27yahoo=1
28twitter=1
29twitter=1
30purple=0
31
32debug=0
33strip=1
34gcov=0
35plugins=1
36otr=0
37
38events=glib
39ldap=0
40ssl=auto
41
42arch=`uname -s`
43cpu=`uname -m`
44
45GLIB_MIN_VERSION=2.4
46
47echo BitlBee configure
48
49while [ -n "$1" ]; do
50        e="`expr "X$1" : 'X--\(.*=.*\)'`"
51        if [ -z "$e" ]; then
52                cat<<EOF
53
54Usage: $0 [OPTIONS]
55
56Option          Description                             Default
57
58--prefix=...    Directories to put files in             $prefix
59--bindir=...                                            $bindir
60--etcdir=...                                            $etcdir
61--mandir=...                                            $mandir
62--datadir=...                                           $datadir
63--plugindir=...                                         $plugindir
64--pidfile=...                                           $pidfile
65--config=...                                            $config
66--ipcsocket=...                                         $ipcsocket
67
68--msn=0/1       Disable/enable MSN part                 $msn
69--jabber=0/1    Disable/enable Jabber part              $jabber
70--oscar=0/1     Disable/enable Oscar part (ICQ, AIM)    $oscar
71--yahoo=0/1     Disable/enable Yahoo part               $yahoo
72--twitter=0/1   Disable/enable Twitter part             $twitter
73
74--purple=0/1    Disable/enable libpurple support        $purple
75                (automatically disables other protocol modules)
76
77--debug=0/1     Disable/enable debugging                $debug
78--strip=0/1     Disable/enable binary stripping         $strip
79--gcov=0/1      Disable/enable test coverage reporting  $gcov
80--plugins=0/1   Disable/enable plugins support          $plugins
81--otr=0/1/auto/plugin
82                Disable/enable OTR encryption support   $otr
83
84--events=...    Event handler (glib, libevent)          $events
85--ssl=...       SSL library to use (gnutls, nss, openssl, bogus, auto)
86                                                        $ssl
87
88--target=...    Cross compilation target                same as host
89EOF
90                exit;
91        fi
92        eval "$e"
93        shift;
94done
95
96# Expand $prefix and get rid of double slashes
97bindir=`eval echo "$bindir/" | sed 's/\/\{1,\}/\//g'`
98etcdir=`eval echo "$etcdir/" | sed 's/\/\{1,\}/\//g'`
99mandir=`eval echo "$mandir/" | sed 's/\/\{1,\}/\//g'`
100datadir=`eval echo "$datadir/" | sed 's/\/\{1,\}/\//g'`
101config=`eval echo "$config/" | sed 's/\/\{1,\}/\//g'`
102plugindir=`eval echo "$plugindir/" | sed 's/\/\{1,\}/\//g'`
103includedir=`eval echo "$includedir"/ | sed 's/\/\{1,\}/\//g'`
104libevent=`eval echo "$libevent"/ | sed 's/\/\{1,\}/\//g'`
105
106pidfile=`eval echo "$pidfile" | sed 's/\/\{1,\}/\//g'`
107ipcsocket=`eval echo "$ipcsocket" | sed 's/\/\{1,\}/\//g'`
108pcdir=`eval echo "$pcdir" | sed 's/\/\{1,\}/\//g'`
109
110cat<<EOF>Makefile.settings
111## BitlBee settings, generated by configure
112PREFIX=$prefix
113BINDIR=$bindir
114ETCDIR=$etcdir
115MANDIR=$mandir
116DATADIR=$datadir
117PLUGINDIR=$plugindir
118CONFIG=$config
119INCLUDEDIR=$includedir
120PCDIR=$pcdir
121
122TARGET=$target
123ARCH=$arch
124CPU=$cpu
125
126DESTDIR=
127LFLAGS=
128EFLAGS=
129EOF
130
131srcdir="$(dirname $0)"
132if [ "$srcdir" != "." ]; then
133        echo
134        echo "configure script run from a different directory. Will create some symlinks..."
135        if [ ! -e Makefile -o -L Makefile ]; then
136                COPYDIRS="doc lib protocols tests utils"
137                mkdir -p $(cd "$srcdir"; find $COPYDIRS -type d)
138                find . -name Makefile -type l -print0 | xargs -0 rm 2> /dev/null
139                dst="$PWD"
140                cd "$srcdir"
141                for i in $(find . -name Makefile -type f); do
142                        ln -s "$PWD${i#.}" "$dst/$i";
143                done
144                cd "$dst"
145                rm -rf .bzr
146        fi
147       
148        echo "SRCDIR=$srcdir/" >> Makefile.settings
149        CFLAGS="$CFLAGS -I${dst}"
150else
151        srcdir=$PWD
152fi
153
154cat<<EOF>config.h
155/* BitlBee settings, generated by configure
156   
157   Do *NOT* use any of these defines in your code without thinking twice, most
158   of them can/will be overridden at run-time */
159
160#define CONFIG "$config"
161#define ETCDIR "$etcdir"
162#define VARDIR "$datadir"
163#define PLUGINDIR "$plugindir"
164#define PIDFILE "$pidfile"
165#define IPCSOCKET "$ipcsocket"
166#define ARCH "$arch"
167#define CPU "$cpu"
168EOF
169
170
171
172if [ -n "$target" ]; then
173        PKG_CONFIG_LIBDIR=/usr/$target/lib/pkgconfig
174        export PKG_CONFIG_LIBDIR
175        PATH=/usr/$target/bin:$PATH
176        CC=$target-cc
177        LD=$target-ld
178        systemlibdirs="/usr/$target/lib"
179fi
180
181
182if [ "$debug" = "1" ]; then
183        [ -z "$CFLAGS" ] && CFLAGS=-g
184        echo 'DEBUG=1' >> Makefile.settings
185        CFLAGS="$CFLAGS -DDEBUG"
186else
187        [ -z "$CFLAGS" ] && CFLAGS="-O2 -fno-strict-aliasing"
188fi
189
190echo CFLAGS=$CFLAGS $CPPFLAGS >> Makefile.settings
191echo CFLAGS+=-I${srcdir} -I${srcdir}/lib -I${srcdir}/protocols -I. >> Makefile.settings
192
193echo CFLAGS+=-DHAVE_CONFIG_H >> Makefile.settings
194
195if [ -n "$CC" ]; then
196        CC=$CC
197elif type gcc > /dev/null 2> /dev/null; then
198        CC=gcc
199elif type cc > /dev/null 2> /dev/null; then
200        CC=cc
201else
202        echo 'Cannot find a C compiler, aborting.'
203        exit 1;
204fi
205
206echo "CC=$CC" >> Makefile.settings;
207if echo $CC | grep -qw gcc; then
208        # Apparently -Wall is gcc-specific?
209        echo CFLAGS+=-Wall >> Makefile.settings
210fi
211
212if [ -z "$LD" ]; then
213        if type ld > /dev/null 2> /dev/null; then
214                LD=ld
215        else
216                echo 'Cannot find ld, aborting.'
217                exit 1;
218        fi
219fi
220
221echo "LD=$LD" >> Makefile.settings
222
223if [ -z "$PKG_CONFIG" ]; then
224        PKG_CONFIG=pkg-config
225fi
226
227if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG glib-2.0; then
228        if $PKG_CONFIG glib-2.0 --atleast-version=$GLIB_MIN_VERSION; then
229                cat<<EOF>>Makefile.settings
230EFLAGS+=`$PKG_CONFIG --libs glib-2.0 gmodule-2.0`
231CFLAGS+=`$PKG_CONFIG --cflags glib-2.0 gmodule-2.0`
232EOF
233        else
234                echo
235                echo 'Found glib2 '`$PKG_CONFIG glib-2.0 --modversion`', but version '$GLIB_MIN_VERSION' or newer is required.'
236                exit 1
237        fi
238else
239        echo
240        echo 'Cannot find glib2 development libraries, aborting. (Install libglib2-dev?)'
241        exit 1
242fi
243
244if [ "$events" = "libevent" ]; then
245        if ! [ -f "${libevent}include/event.h" ]; then
246                echo
247                echo 'Warning: Could not find event.h, you might have to install it and/or specify'
248                echo 'its location using the --libevent= argument. (Example: If event.h is in'
249                echo '/usr/local/include and binaries are in /usr/local/lib: --libevent=/usr/local)'
250        fi
251       
252        echo '#define EVENTS_LIBEVENT' >> config.h
253        cat <<EOF>>Makefile.settings
254EFLAGS+=-levent -L${libevent}lib
255CFLAGS+=-I${libevent}include
256EOF
257elif [ "$events" = "glib" ]; then
258        ## We already use glib anyway, so this is all we need (and in fact not even this, but just to be sure...):
259        echo '#define EVENTS_GLIB' >> config.h
260else
261        echo
262        echo 'ERROR: Unknown event handler specified.'
263        exit 1
264fi
265echo 'EVENT_HANDLER=events_'$events'.o' >> Makefile.settings
266
267detect_gnutls()
268{
269        if $PKG_CONFIG --exists gnutls; then
270                cat <<EOF>>Makefile.settings
271EFLAGS+=`$PKG_CONFIG --libs gnutls`
272CFLAGS+=`$PKG_CONFIG --cflags gnutls`
273EOF
274                ssl=gnutls
275                ret=1
276        elif libgnutls-config --version > /dev/null 2> /dev/null; then
277                cat <<EOF>>Makefile.settings
278EFLAGS+=`libgnutls-config --libs`
279CFLAGS+=`libgnutls-config --cflags`
280EOF
281               
282                ssl=gnutls
283                ret=1;
284        else
285                ret=0;
286        fi;
287}
288
289detect_nss()
290{
291        if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG mozilla-nss; then
292                cat<<EOF>>Makefile.settings
293EFLAGS+=`$PKG_CONFIG --libs mozilla-nss`
294CFLAGS+=`$PKG_CONFIG --cflags mozilla-nss`
295EOF
296               
297                ssl=nss
298                ret=1;
299        else
300                ret=0;
301        fi;
302}
303
304detect_ldap()
305{
306        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
307        if $CC -o $TMPFILE -shared -lldap 2>/dev/null >/dev/null; then
308                cat<<EOF>>Makefile.settings
309EFLAGS+=-lldap
310CFLAGS+=
311EOF
312                ldap=1
313                rm -f $TMPFILE
314                ret=1
315        else
316                ldap=0
317                ret=0
318        fi
319}
320
321RESOLV_TESTCODE='
322#include <arpa/nameser.h>
323#include <resolv.h>
324
325int main()
326{
327        ns_initparse( NULL, 0, NULL );
328        ns_parserr( NULL, ns_s_an, 0, NULL );
329}
330'
331
332detect_resolv_dynamic()
333{
334        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
335        ret=1
336        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -lresolv >/dev/null 2>/dev/null
337        if [ "$?" = "0" ]; then
338                echo 'EFLAGS+=-lresolv' >> Makefile.settings
339                ret=0
340        fi
341
342        rm -f $TMPFILE
343        return $ret
344}
345
346detect_resolv_static()
347{
348        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
349        ret=1
350        for i in $systemlibdirs; do
351                if [ -f $i/libresolv.a ]; then
352                        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -Wl,$i/libresolv.a >/dev/null 2>/dev/null
353                        if [ "$?" = "0" ]; then
354                                echo 'EFLAGS+='$i'/libresolv.a' >> Makefile.settings
355                                ret=0
356                        fi
357                fi
358        done
359
360        rm -f $TMPFILE
361        return $ret
362}
363
364if [ "$ssl" = "auto" ]; then
365        detect_gnutls
366        if [ "$ret" = "0" ]; then
367                detect_nss
368        fi
369elif [ "$ssl" = "gnutls" ]; then
370        detect_gnutls
371elif [ "$ssl" = "nss" ]; then
372        detect_nss
373elif [ "$ssl" = "sspi" ]; then
374        echo
375elif [ "$ssl" = "openssl" ]; then
376        echo
377        echo 'No detection code exists for OpenSSL. Make sure that you have a complete'
378        echo 'install of OpenSSL (including devel/header files) before reporting'
379        echo 'compilation problems.'
380        echo
381        echo 'Also, keep in mind that the OpenSSL is, according to some people, not'
382        echo 'completely GPL-compatible. Using GnuTLS or NSS is recommended and better'
383        echo 'supported by us. However, on many BSD machines, OpenSSL can be considered'
384        echo 'part of the operating system, which makes it GPL-compatible.'
385        echo
386        echo 'For more info, see: http://www.openssl.org/support/faq.html#LEGAL2'
387        echo '                    http://www.gnome.org/~markmc/openssl-and-the-gpl.html'
388        echo
389        echo 'Please note that distributing a BitlBee binary which links to OpenSSL is'
390        echo 'probably illegal. If you want to create and distribute a binary BitlBee'
391        echo 'package, you really should use GnuTLS or NSS instead.'
392        echo
393        echo 'Also, the OpenSSL license requires us to say this:'
394        echo ' *    "This product includes software developed by the OpenSSL Project'
395        echo ' *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"'
396       
397        echo 'EFLAGS+=-lssl -lcrypto' >> Makefile.settings
398       
399        ret=1
400elif [ "$ssl" = "bogus" ]; then
401        echo
402        echo 'Using bogus SSL code. This means some features will not work properly.'
403       
404        ## Yes, you, at the console! How can you authenticate if you don't have any SSL!?
405        if [ "$msn" = "1" -o "$yahoo" = "1" ]; then
406                echo
407                echo 'WARNING: The MSN and Yahoo! modules will not work without SSL. Disabling.'
408                msn=0
409                yahoo=0
410        fi
411       
412        ret=1
413else
414        echo
415        echo 'ERROR: Unknown SSL library specified.'
416        exit 1
417fi
418
419if [ "$ret" = "0" ]; then
420        echo
421        echo 'ERROR: Could not find a suitable SSL library (GnuTLS, libnss or OpenSSL).'
422        echo '       Please note that this script doesn'\''t have detection code for OpenSSL,'
423        echo '       so if you want to use that, you have to select it by hand. If you don'\''t'
424        echo '       need SSL support, you can select the "bogus" SSL library. (--ssl=bogus)'
425       
426        exit 1
427fi;
428
429if [ "$msn" = "1" -a "$ssl" != "openssl" ]; then
430        # Needed for MSN only. OpenSSL exports nice cipher functions already,
431        # others don't, so use our own 3des code.
432        echo 'DES=des.o' >> Makefile.settings
433fi
434
435echo 'SSL_CLIENT=ssl_'$ssl'.o' >> Makefile.settings
436
437if detect_resolv_dynamic || detect_resolv_static; then
438        echo '#define HAVE_RESOLV_A' >> config.h
439fi
440
441STORAGES="xml"
442
443if [ "$ldap" = "auto" ]; then
444        detect_ldap
445fi
446
447if [ "$ldap" = 0 ]; then
448        echo "#undef WITH_LDAP" >> config.h
449elif [ "$ldap" = 1 ]; then
450        echo
451        echo 'LDAP support is a work in progress and does NOT work AT ALL right now.'
452        echo
453        exit 1
454       
455        echo "#define WITH_LDAP 1" >> config.h
456        STORAGES="$STORAGES ldap"
457fi
458
459for i in $STORAGES; do
460        STORAGE_OBJS="$STORAGE_OBJS storage_$i.o"
461done
462echo "STORAGE_OBJS="$STORAGE_OBJS >> Makefile.settings
463
464if [ "$strip" = 0 ]; then
465        echo "STRIP=\# skip strip" >> Makefile.settings;
466else
467        if [ "$debug" = 1 ]; then
468                echo
469                echo 'Stripping binaries does not make sense when debugging. Stripping disabled.'
470                echo 'STRIP=\# skip strip' >> Makefile.settings
471                strip=0;
472        elif [ -n "$STRIP" ]; then
473                echo "STRIP=$STRIP" >> Makefile.settings;
474        elif type strip > /dev/null 2> /dev/null; then
475                echo "STRIP=strip" >> Makefile.settings;
476        else
477                echo
478                echo 'No strip utility found, cannot remove unnecessary parts from executable.'
479                echo 'STRIP=\# skip strip' >> Makefile.settings
480                strip=0;
481        fi;
482fi
483
484if [ "$gcov" = "1" ]; then
485        echo "CFLAGS+=--coverage" >> Makefile.settings
486        echo "EFLAGS+=--coverage" >> Makefile.settings
487fi
488
489if [ "$plugins" = 0 ]; then
490        echo '#undef WITH_PLUGINS' >> config.h
491else
492        echo '#define WITH_PLUGINS' >> config.h
493fi
494
495otrprefix=""
496for i in / /usr /usr/local; do
497        if [ -f ${i}/lib/libotr.a ]; then
498                otrprefix=${i}
499                break
500        fi
501done
502if [ "$otr" = "auto" ]; then
503        if [ -n "$otrprefix" ]; then
504                otr=1
505        else
506                otr=0
507        fi
508fi
509if [ "$otr" = 1 ]; then
510        # BI == built-in
511        echo '#define OTR_BI' >> config.h
512        echo "EFLAGS+=-L${otrprefix}/lib -lotr" >> Makefile.settings
513        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
514        echo 'OTR_BI=otr.o' >> Makefile.settings
515elif [ "$otr" = "plugin" ]; then
516        echo '#define OTR_PI' >> config.h
517        echo "OTRFLAGS=-L${otrprefix}/lib -lotr" >> Makefile.settings
518        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
519        echo 'OTR_PI=otr.so' >> Makefile.settings
520fi
521
522if [ ! -e doc/user-guide/help.txt ] && ! type xmlto > /dev/null 2> /dev/null; then
523        echo
524        echo 'WARNING: Building from an unreleased source tree without prebuilt helpfile.'
525        echo 'Install xmlto if you want online help to work.'
526fi
527
528echo
529if [ -z "$BITLBEE_VERSION" -a -d .bzr ] && type bzr > /dev/null 2> /dev/null; then
530        nick=`bzr nick`
531        if [ -n "$nick" -a "$nick" != "bitlbee" ]; then
532                nick="-$nick"
533        else
534                nick=""
535        fi
536        rev=`bzr revno`
537        echo 'Using bzr revision #'$rev' as version number'
538        BITLBEE_VERSION=\"bzr$nick-$rev\"
539fi
540
541if [ -n "$BITLBEE_VERSION" ]; then
542        echo 'Spoofing version number: '$BITLBEE_VERSION
543        echo '#undef BITLBEE_VERSION' >> config.h
544        echo '#define BITLBEE_VERSION '$BITLBEE_VERSION >> config.h
545        echo
546fi
547
548if ! make helloworld > /dev/null 2>&1; then
549        echo "WARNING: Your version of make (BSD make?) does not support BitlBee's makefiles."
550        echo "BitlBee needs GNU make to build properly. On most systems GNU make is available"
551        echo "under the name 'gmake'."
552        echo
553        if gmake helloworld > /dev/null 2>&1; then
554                echo "gmake seems to be available on your machine, great."
555                echo
556        else
557                echo "gmake is not installed (or not working). Please try to install it."
558                echo
559        fi
560fi
561
562cat <<EOF>bitlbee.pc
563prefix=$prefix
564includedir=$includedir
565
566Name: bitlbee
567Description: IRC to IM gateway
568Requires: glib-2.0
569Version: $BITLBEE_VERSION
570Libs:
571Cflags: -I\${includedir}
572
573EOF
574
575protocols=''
576protoobjs=''
577
578if [ "$purple" = 0 ]; then
579        echo '#undef WITH_PURPLE' >> config.h
580else
581        if ! $PKG_CONFIG purple; then
582                echo
583                echo 'Cannot find libpurple development libraries, aborting. (Install libpurple-dev?)'
584                exit 1
585        fi
586        echo '#define WITH_PURPLE' >> config.h
587        cat<<EOF>>Makefile.settings
588EFLAGS += $($PKG_CONFIG purple --libs)
589PURPLE_CFLAGS += $($PKG_CONFIG purple --cflags)
590EOF
591        protocols=$protocols'purple '
592        protoobjs=$protoobjs'purple_mod.o '
593
594        # Having both libpurple and native IM modules in one binary may
595        # do strange things. Let's not do that.
596        msn=0
597        jabber=0
598        oscar=0
599        yahoo=0
600        twitter=0
601       
602        if [ "$events" = "libevent" ]; then
603                echo
604                echo 'Warning: Some libpurple modules (including msn-pecan) do their event handling'
605                echo 'outside libpurple, talking to GLib directly. At least for now the combination'
606                echo 'libpurple + libevent is *not* recommended!'
607        fi
608fi
609
610case "$CC" in
611*gcc* )
612        echo CFLAGS+=-MD -MF .depend/\$@.d >> Makefile.settings
613        for i in . lib protocols protocols/*/; do
614                mkdir -p $i/.depend
615        done
616esac
617
618if [ "$msn" = 0 ]; then
619        echo '#undef WITH_MSN' >> config.h
620else
621        echo '#define WITH_MSN' >> config.h
622        protocols=$protocols'msn '
623        protoobjs=$protoobjs'msn_mod.o '
624fi
625
626if [ "$jabber" = 0 ]; then
627        echo '#undef WITH_JABBER' >> config.h
628else
629        echo '#define WITH_JABBER' >> config.h
630        protocols=$protocols'jabber '
631        protoobjs=$protoobjs'jabber_mod.o '
632fi
633
634if [ "$oscar" = 0 ]; then
635        echo '#undef WITH_OSCAR' >> config.h
636else
637        echo '#define WITH_OSCAR' >> config.h
638        protocols=$protocols'oscar '
639        protoobjs=$protoobjs'oscar_mod.o '
640fi
641
642if [ "$yahoo" = 0 ]; then
643        echo '#undef WITH_YAHOO' >> config.h
644else
645        echo '#define WITH_YAHOO' >> config.h
646        protocols=$protocols'yahoo '
647        protoobjs=$protoobjs'yahoo_mod.o '
648fi
649
650if [ "$twitter" = 0 ]; then
651        echo '#undef WITH_TWITTER' >> config.h
652else
653        echo '#define WITH_TWITTER' >> config.h
654        protocols=$protocols'twitter '
655        protoobjs=$protoobjs'twitter_mod.o '
656fi
657
658if [ "$protocols" = "PROTOCOLS = " ]; then
659        echo "Warning: You haven't selected any communication protocol to compile!"
660        echo "         BitlBee will run, but you will be unable to connect to IM servers!"
661fi
662
663echo "PROTOCOLS = $protocols" >> Makefile.settings
664echo "PROTOOBJS = $protoobjs" >> Makefile.settings
665
666echo Architecture: $arch
667case "$arch" in
668Linux )
669;;
670GNU/* )
671;;
672*BSD )
673;;
674Darwin )
675        echo 'STRIP=\# skip strip' >> Makefile.settings
676;;
677IRIX )
678;;
679SunOS )
680        echo 'EFLAGS+=-lresolv -lnsl -lsocket' >> Makefile.settings
681        echo 'STRIP=\# skip strip' >> Makefile.settings
682;;
683AIX )
684        echo 'EFLAGS+=-Wl,-brtl' >> Makefile.settings
685;;
686CYGWIN* )
687        echo 'Cygwin is not officially supported.'
688;;
689Windows )
690;;
691* )
692        echo 'We haven'\''t tested BitlBee on many platforms yet, yours is untested. YMMV.'
693        echo 'Please report any problems at http://bugs.bitlbee.org/.'
694;;
695esac
696
697if [ -n "$target" ]; then
698        echo "Cross-compiling for: $target"
699fi
700
701echo
702echo 'Configuration done:'
703
704if [ "$debug" = "1" ]; then
705        echo '  Debugging enabled.'
706else
707        echo '  Debugging disabled.'
708fi
709
710if [ "$strip" = "1" ]; then
711        echo '  Binary stripping enabled.'
712else
713        echo '  Binary stripping disabled.'
714fi
715
716if [ "$otr" = "1" ]; then
717        echo '  Off-the-Record (OTR) Messaging enabled.'
718elif [ "$otr" = "plugin" ]; then
719        echo '  Off-the-Record (OTR) Messaging enabled (as a plugin).'
720else
721        echo '  Off-the-Record (OTR) Messaging disabled.'
722fi
723
724echo '  Using event handler: '$events
725echo '  Using SSL library: '$ssl
726echo '  Building with these storage backends: '$STORAGES
727
728if [ -n "$protocols" ]; then
729        echo '  Building with these protocols:' $protocols
730else
731        echo '  Building without IM-protocol support. We wish you a lot of fun...'
732fi
Note: See TracBrowser for help on using the repository browser.